package edu.travel.adapter.service.upload;

import edu.travel.adapter.annotation.AdapterAnnotation;
import edu.travel.remote.UploadRemoteController;
import edu.travel.rpc.RPCBaseResponse;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;
import org.springframework.web.multipart.MultipartFile;

@Component
public class UploadAdapter  {
    @Autowired
    private UploadRemoteController uploadRemoteController;
    @AdapterAnnotation
    public RPCBaseResponse exitsFile(String md5) {
        RPCBaseResponse rpcBaseResponse = uploadRemoteController.exitsFile(md5);
        return rpcBaseResponse;
    }
    @AdapterAnnotation
    public RPCBaseResponse exitsBlob(String md5) {
        RPCBaseResponse rpcBaseResponse = uploadRemoteController.exitsBlob(md5);
        return rpcBaseResponse;
    }
    @AdapterAnnotation
    public RPCBaseResponse uploadBigFile(MultipartFile file) {
        RPCBaseResponse rpcBaseResponse = uploadRemoteController.uploadBigFile(file);
        return rpcBaseResponse;
    }
    @AdapterAnnotation
    public RPCBaseResponse mergeFile(String json) {
        RPCBaseResponse rpcBaseResponse = uploadRemoteController.mergeFile(json);
        return rpcBaseResponse;
    }
    @AdapterAnnotation
    public RPCBaseResponse uploadFile(MultipartFile file) {
        RPCBaseResponse rpcBaseResponse = uploadRemoteController.uploadFile(file);
        return rpcBaseResponse;
    }
}
