package edu.travel.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import edu.travel.po.PagePO;
import lombok.Data;

import java.util.Date;

/**
 * 国家表
 */
@Data
public class BaseCountryDto extends PagePO {
    /**
     * ID
     */
    private Long id;

    /**
     * 所属洲
     */
    private Long parentId;
    /**
     * 图片
     */
    private String imageUrl;

    /**
     * 国家/洲中文名称
     */
    private String countryNameZh;

    /**
     * 国家/洲英文名称
     */
    private String countryNameEn;

    /**
     * 当地国家/洲名称
     */
    private String countryNameLocal;
    /**
     * 国家区号
     */
    private Integer areaCode;
    /**
     * 创建时间
     */
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    /**
     * 更新时间
     */
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;
}