package edu.travel.remote;

import com.baomidou.mybatisplus.core.metadata.IPage;
import edu.travel.dto.BaseCountryDto;
import edu.travel.remote.base.RemoteBaseController;
import edu.travel.rpc.RPCBaseResponse;
import edu.travel.vo.BaseCountryVo;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

import java.util.List;

@FeignClient(path = "/base_country",name = "commodity")
public interface BaseCountryRemoteController extends RemoteBaseController<BaseCountryVo, BaseCountryDto> {




    //国家树
    @GetMapping("/getCountryTree")
    public RPCBaseResponse<List<BaseCountryVo>> getCountryTree();
    //国家分页
    @GetMapping("/getCountryPage")
    public RPCBaseResponse<IPage<BaseCountryVo>> getCountryPage(BaseCountryDto baseCountryDTO);
    @GetMapping("/getCountryFormId")
    public RPCBaseResponse<BaseCountryVo> getFormId(String id);
    @PostMapping("/updateCountryFormId")
    public RPCBaseResponse<BaseCountryVo> updateTargetFormId(@RequestBody BaseCountryDto entity);
    @PostMapping("/saveCountryForm")
    public RPCBaseResponse<BaseCountryVo> saveFormTarget(@RequestBody BaseCountryDto entity);
    @PostMapping("/deleteCountryFormId")
    public RPCBaseResponse<BaseCountryVo> deleteTargetFormId(@RequestBody List<String> ids);
    @GetMapping("/CountrylistForm")
    public RPCBaseResponse<List<BaseCountryVo>> getAllForm();
}
