package edu.travel.commodity.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import edu.travel.commodity.entity.BaseCountryServe;
import edu.travel.commodity.mapper.BaseCountryServeMapper;
import edu.travel.commodity.service.BaseCountryServeService;
import edu.travel.dto.BaseCountryServeDTO;
import edu.travel.rpc.RPCBaseResponse;
import edu.travel.service.SysServiceImpl;
import edu.travel.vo.BaseCountryServeVo;
import org.springframework.beans.BeanUtils;
import org.springframework.stereotype.Service;

@Service
public class BaseCountryServeServiceImpl extends SysServiceImpl<BaseCountryServeMapper, BaseCountryServe> implements BaseCountryServeService {
    @Override
    public RPCBaseResponse<IPage<BaseCountryServeVo>> getCountryServePage(BaseCountryServeDTO dto) {
        Page<BaseCountryServe> baseCountryServePage = new Page<>(dto.getCurrentPage(), dto.getPageSize());
        IPage<BaseCountryServe> pageLink = super.getPageLink(new LambdaQueryWrapper<BaseCountryServe>(), baseCountryServePage);
        IPage<BaseCountryServeVo> result = new Page<>();
        BeanUtils.copyProperties(pageLink, result);
        RPCBaseResponse<IPage<BaseCountryServeVo>> pageRPCPageResponse = new RPCBaseResponse<>(200,"SUCCESS",result);
        return pageRPCPageResponse;
    }
}
